Author Topic: BUG on PHP Builder  (Read 913 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
BUG on PHP Builder
« on: July 19, 2017, 01:03:40 PM »
hello,

I have recently installed CWP and used "PHP Version Switcher" to rebuild for PHP 7.1.7

The process started in background and I watched the log for completion, which never ended:

Quote
'ioncube_loader_lin_5.4.so' -> '/usr/local/ioncube/ioncube_loader_lin_5.4.so'
'ioncube_loader_lin_5.4_ts.so' -> '/usr/local/ioncube/ioncube_loader_lin_5.4_ts.so'
'ioncube_loader_lin_5.5.so' -> '/usr/local/ioncube/ioncube_loader_lin_5.5.so'
'ioncube_loader_lin_5.5_ts.so' -> '/usr/local/ioncube/ioncube_loader_lin_5.5_ts.so'
'ioncube_loader_lin_5.6.so' -> '/usr/local/ioncube/ioncube_loader_lin_5.6.so'
'ioncube_loader_lin_5.6_ts.so' -> '/usr/local/ioncube/ioncube_loader_lin_5.6_ts.so'
'ioncube_loader_lin_7.0.so' -> '/usr/local/ioncube/ioncube_loader_lin_7.0.so'
'ioncube_loader_lin_7.0_ts.so' -> '/usr/local/ioncube/ioncube_loader_lin_7.0_ts.so'
'loader-wizard.php' -> '/usr/local/ioncube/loader-wizard.php'
yes: standard output: Broken pipe
yes: write error


As it appears, Ioncube does not have loaders for 7.1.x, so I thought it would be resolved,
if I tried a lower version and retried with 7.0.21, it ended on same error !!!

So, then, I tried for version 5.6.31, but the same error appeared for this too !


What should I do ?


Thanks !

Offline
*
Re: BUG on PHP Builder
« Reply #1 on: July 21, 2017, 07:00:58 AM »
can you add full log output from file /var/log/php-rebuild.log on this site
https://pastebin.com/
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
*
Re: BUG on PHP Builder
« Reply #2 on: September 07, 2017, 09:43:06 PM »
I've experienced this also on fresh install, it happens for every "php version switcher" build, regardless of version selected, as long as the first build you try is for 7.1.x that doesnt have ioncube loaders....


anyone can shed light on why this happen ?


Offline
*
Re: BUG on PHP Builder
« Reply #3 on: September 27, 2017, 05:53:53 PM »
Running the following commands thru SSH fixed this issue for me.

Code: [Select]
yum clean all
yum update

Offline
*
Re: BUG on PHP Builder
« Reply #4 on: December 14, 2017, 10:34:36 AM »
First time user for CentOS Webpanel and so far I like it...
...however I am experiencing the same issue as the other user had with the same errors:

Code: [Select]
yes: standard output: Broken pipe
yes: write error


I already ran:
Code: [Select]
yum clean all
rm -rf /var/cache/yum
yum update all -y

And retried installing PHP 7.1.9 as PHP Version Switcher. But no luck. Same result over and over.
I have no idea what's wrong; it's a clean installation.

Here is a pastebin of the log: https://pastebin.com/5Urfae2F


Also running php -v shows issues now:
Code: [Select]
Failed loading /usr/local/ioncube/ioncube_loader_lin_7.1.so:  /usr/local/ioncube/ioncube_loader_lin_7.1.so: undefined symbol: zend_interrupt_function
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20131226/memcached.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20131226/memcached.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 5.6.30 (cli) (built: Jan 28 2017 14:24:05)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies


Any idea what is going wrong?

In the meantime I will try different PHP versions to try out...